#
# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
# All rights reserved.
# This component and the accompanying materials are made available
# under the terms of "Eclipse Public License v1.0"
# which accompanies this distribution, and is available
# at the URL "http://www.eclipse.org/legal/epl-v10.html".
#
# Initial Contributors:
# Nokia Corporation - initial contribution.
#
# Contributors:
#
# Description:
# Exceptions for general use
#

''' General exceptions '''

class GenericError(Exception):
    ''' Generic Error '''

class InvalidUserInput(Exception):
    ''' Invalid user input '''

class InvalidFileInput(Exception):
    ''' Invalid file input '''

class ExternalProcessError(Exception):
    """ External process exited with error status """
    def __init__(self, binary, errorcode, output=None, blocksRetcode=None):
        if blocksRetcode == 2:
            Exception.__init__(self, "%s argument error" % binary)
        else:
            Exception.__init__(self, "%s failed with error code %s" % (binary, errorcode))
        self.blocksRetcode = blocksRetcode
        self.errorcode = errorcode
        self.binary = binary
        self.output = output