#!/usr/bin/env python

#
# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
# All rights reserved.
# This component and the accompanying materials are made available
# under the terms of "Eclipse Public License v1.0"
# which accompanies this distribution, and is available
# at the URL "http://www.eclipse.org/legal/epl-v10.html".
#
# Initial Contributors:
# Nokia Corporation - initial contribution.
#
# Contributors:
#
# Description:
# Setup for blocks packaging framework
#

from setuptools import setup

setup(name='Blocks-PFW',
    package_dir={'Blocks': 'src/Blocks',
        'Blocks.Packaging': 'src/Blocks/Packaging',
        'Blocks.Packaging.DataSources': 'src/Blocks/Packaging/DataSources',
        'Blocks.Packaging.DependencyProcessors': 'src/Blocks/Packaging/DependencyProcessors',
        'Blocks.Packaging.Rules': 'src/Blocks/Packaging/Rules'},
    version=file("blocks-version").read().strip(),
    description='Utilities for packaging software',
    packages=['Blocks',
        'Blocks.Packaging',
        'Blocks.Packaging.DataSources',
        'Blocks.Packaging.DependencyProcessors',
        'Blocks.Packaging.Rules'],
    package_data={
    	'Blocks.Packaging.Rules': ['targetRules.xml', 'sourceRules.xml', 'packageDirectives.xml'],
    	'Blocks.Packaging.DependencyProcessors': ['*.xml'],
    	'Blocks.Packaging.DataSources': ['*.xsl'],
    }
)
